Page for collecting site-specific patches to ARC. 

Goal of the page is to share patches, and where appropriate: add support for patches in the ARC software.



## Conventions

### Git workflow
Fork the repository. 
Add your patches.
Create a merge request. 

### Naming and description of patches 

Please follow the naming scheme of the patch:
Site-Type-Filename.patch, e.g.: 

`Oslo-MemoryReq-ARC1ClusterInfo.pm.patch`


If you need to introduce additional layers to distinguish between CE-s at your site, feel free to do that, eg.: 

`Oslo-ce01-MemoryReq-ARC1ClusterInfo.pm.patch`



**Please make sure that you add a comment at the very top of the patch** file describing the patch. E.g.:

```
Patch to make sure job runs under correct project, and that jobs asking for less than 3936 memory requirement get 3936 corresponding to a single core. 

--- /usr/share/arc/submit-SLURM-job	  2017-07-19 17:38:23.094314806 +0200
+++ /usr/share/arc/submit-SLURM-job.patched	     2017-07-19 17:38:34.874671284 +0200
@@ -97,6 +97,8 @@
   echo "#SBATCH --nice=${priority}" >> $LRMS_JOB_SCRIPT
 fi
+source /root/repos/grid/ARCmods/project.sh
+
 # project name for accounting
 if [ ! -z "${joboption_rsl_project}" ] ; then
   echo "#SBATCH -U $joboption_rsl_project" >> $LRMS_JOB_SCRIPT
@@ -191,6 +193,9 @@
 set_req_mem
 if [ ! -z "$joboption_memory" ] ; then
+  if [ $joboption_memory -lt 3936 ]; then
+    joboption_memory=3936
+  fi
   echo "#SBATCH --mem-per-cpu=${joboption_memory}" >> $LRMS_JOB_SCRIPT
 fi
```